scsi_host_set_state
Prev | drivers/scsi/hosts.c | Next

## Name

scsi_host_set_state — Take the given host through the host state model.

## Synopsis

`int scsi_host_set_state (` | struct Scsi_Host * | shost,
| enum scsi_host_state | state`)`;

## Arguments

`shost`

  scsi host to change the state of.

`state`

  state to change to.

## Description

Returns zero if unsuccessful or an error if the requested transition is illegal.

Prev | Up | Next
scsi_remove_target | Home | scsi_remove_host